> ## Documentation Index
> Fetch the complete documentation index at: https://docs.usequanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the caller org's close state and close message draft for a month



## OpenAPI

````yaml https://app.usequanta.com/openapi/quanta-services-api/openapi.json get /admin_api/close_message
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://app.usequanta.com
    description: Production
security:
  - HTTPBearer: []
paths:
  /admin_api/close_message:
    get:
      tags:
        - close_message
        - quanta-services-api
      summary: Read the caller org's close state and close message draft for a month
      operationId: get_close_message
      parameters:
        - name: month
          in: query
          required: true
          schema:
            type: integer
            maximum: 12
            minimum: 1
            title: Month
        - name: year
          in: query
          required: true
          schema:
            type: integer
            minimum: 2000
            title: Year
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloseMessageState'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CloseMessageState:
      properties:
        is_closed:
          type: boolean
          title: Is Closed
        slack_channel_connected:
          type: boolean
          title: Slack Channel Connected
        draft:
          anyOf:
            - $ref: '#/components/schemas/CloseMessageDraftView'
            - type: 'null'
      type: object
      required:
        - is_closed
        - slack_channel_connected
        - draft
      title: CloseMessageState
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CloseMessageDraftView:
      properties:
        text:
          type: string
          title: Text
        send_attempted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Send Attempted At
        sent_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Sent At
      type: object
      required:
        - text
        - send_attempted_at
        - sent_at
      title: CloseMessageDraftView
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Quanta Services API scoped bearer token. Supported only on Services API
        routes.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.